FROM tomcat
MAINTAINER Disassembler <disassembler@dasm.cz>

RUN \
 # Download Sigmah
 wget https://github.com/sigmah-dev/sigmah/releases/download/v2.0.2/sigmah-2.0.2.war -O /tmp/sigmah.war \
 && mkdir /srv/tomcat/webapps/sigmah \
 && unzip /tmp/sigmah.war -d /srv/tomcat/webapps/sigmah \
 # Update Postgres JDBC driver
 && rm /srv/tomcat/webapps/sigmah/WEB-INF/lib/postgresql-9.1-901-1.jdbc4.jar \
 && wget https://jdbc.postgresql.org/download/postgresql-42.2.0.jar -O /srv/tomcat/webapps/sigmah/WEB-INF/lib/postgresql-42.2.0.jar \
 # Remove logging config
 && rm /srv/tomcat/webapps/sigmah/WEB-INF/classes/logback.xml \
 # Configure Tomcat port
 && sed -i 's/port="8080"/port="8011"/g' /srv/tomcat/conf/server.xml \
 # Create OS user
 && addgroup -S -g 8011 sigmah \
 && adduser -S -u 8011 -h /srv/tomcat -s /bin/false -g sigmah -G sigmah sigmah \
 && chown -R sigmah:sigmah /srv/tomcat/conf /srv/tomcat/logs /srv/tomcat/temp /srv/tomcat/webapps /srv/tomcat/work \
 # Cleanup
 && rm /tmp/sigmah.war

COPY docker/ /

VOLUME ["/srv/sigmah/data"]
EXPOSE 8011

USER sigmah
WORKDIR /srv/tomcat
CMD ["catalina.sh", "run"]
